package salesreportrepository

import (
	"time"

	"git.gocasts.ir/ebhomengo/niki/salesreportapp/entity"
)

// GetSalesReportsWithTimeRange retrieves a list of sales reports within the specified time range.
func (s Repository) GetSalesReportsWithTimeRange(from, to time.Time) []entity.SalesReport {

	s.dbMysql.Conn().
		panic("Implement me!")

}
